# -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from jumbo.conf.admin_menu import GenericMenuItem
from admin_tools.menu import items
from jumbo.middleware.thread_local import get_current_user

def add_extended_menuitems(children, current_app):
    gm = GenericMenuItem('expense', ['expense',])
    user = get_current_user()
    export_expense = items.MenuItem(
        title=_('Export Expense'),
        children=[],
        url = reverse('admin:expense_expense_export')
    )
    if user.has_perm('expense.change_expense'):
        gm.add_father(export_expense)

    menu_complete = gm.get_menu()
    [ children.append(menuitem) for menuitem in menu_complete ]

