# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):
    
    def forwards(self, orm):
        
        # Adding model 'Expense'
        db.create_table('expense_expense', (
            ('status', self.gf('jumbo.db.fields.StatusField')()),
            ('authorized_by_manager', self.gf('django.db.models.fields.BooleanField')(default=False, db_index=True, blank=True)),
            ('date_begin', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='expense_expense_last_modifier', null=True, to=orm['auth.User'])),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='expense_expense_creator', null=True, to=orm['auth.User'])),
            ('date_end', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('year', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
            ('number', self.gf('django.db.models.fields.IntegerField')(db_index=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('currency', self.gf('django.db.models.fields.related.ForeignKey')(related_name='Expenses', to=orm['organization.Currency'])),
            ('change', self.gf('django.db.models.fields.DecimalField')(null=True, max_digits=9, decimal_places=2, blank=True)),
            ('purpose_trip', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('assigned_to', self.gf('django.db.models.fields.related.ForeignKey')(related_name='expenses', to=orm['organization.Contact'])),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('authorized_by_administration', self.gf('django.db.models.fields.BooleanField')(default=False, db_index=True, blank=True)),
        ))
        db.send_create_signal('expense', ['Expense'])

        # Adding model 'Transportation'
        db.create_table('expense_transportation', (
            ('status', self.gf('jumbo.db.fields.StatusField')()),
            ('train_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('date_begin', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='expense_transportation_last_modifier', null=True, to=orm['auth.User'])),
            ('bus_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='expense_transportation_creator', null=True, to=orm['auth.User'])),
            ('date_end', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('time_begin', self.gf('django.db.models.fields.TimeField')(db_index=True, null=True, blank=True)),
            ('time_end', self.gf('django.db.models.fields.TimeField')(db_index=True, null=True, blank=True)),
            ('taxi_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('air_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('location', self.gf('django.db.models.fields.CharField')(max_length=200, null=True, blank=True)),
            ('expense', self.gf('django.db.models.fields.related.ForeignKey')(related_name='transportations', to=orm['expense.Expense'])),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal('expense', ['Transportation'])

        # Adding model 'AutoTravel'
        db.create_table('expense_autotravel', (
            ('status', self.gf('jumbo.db.fields.StatusField')()),
            ('other_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('date_begin', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='expense_autotravel_last_modifier', null=True, to=orm['auth.User'])),
            ('rate_per_km', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='expense_autotravel_creator', null=True, to=orm['auth.User'])),
            ('car', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('date_end', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('time_begin', self.gf('django.db.models.fields.TimeField')(db_index=True, null=True, blank=True)),
            ('time_end', self.gf('django.db.models.fields.TimeField')(db_index=True, null=True, blank=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('car_km', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('location', self.gf('django.db.models.fields.CharField')(max_length=200, null=True, blank=True)),
            ('expense', self.gf('django.db.models.fields.related.ForeignKey')(related_name='autotravels', to=orm['expense.Expense'])),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('rental_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
        ))
        db.send_create_signal('expense', ['AutoTravel'])

        # Adding model 'Meal'
        db.create_table('expense_meal', (
            ('status', self.gf('jumbo.db.fields.StatusField')()),
            ('other_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('date_begin', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='expense_meal_last_modifier', null=True, to=orm['auth.User'])),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='expense_meal_creator', null=True, to=orm['auth.User'])),
            ('date_end', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('time_begin', self.gf('django.db.models.fields.TimeField')(db_index=True, null=True, blank=True)),
            ('time_end', self.gf('django.db.models.fields.TimeField')(db_index=True, null=True, blank=True)),
            ('breakfast_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('location', self.gf('django.db.models.fields.CharField')(max_length=200, null=True, blank=True)),
            ('expense', self.gf('django.db.models.fields.related.ForeignKey')(related_name='meals', to=orm['expense.Expense'])),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('lunch_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('dinner_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
        ))
        db.send_create_signal('expense', ['Meal'])

        # Adding model 'Lodging'
        db.create_table('expense_lodging', (
            ('status', self.gf('jumbo.db.fields.StatusField')()),
            ('other_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('date_begin', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='expense_lodging_last_modifier', null=True, to=orm['auth.User'])),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='expense_lodging_creator', null=True, to=orm['auth.User'])),
            ('date_end', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('time_begin', self.gf('django.db.models.fields.TimeField')(db_index=True, null=True, blank=True)),
            ('lodging_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('time_end', self.gf('django.db.models.fields.TimeField')(db_index=True, null=True, blank=True)),
            ('laundry_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('location', self.gf('django.db.models.fields.CharField')(max_length=200, null=True, blank=True)),
            ('expense', self.gf('django.db.models.fields.related.ForeignKey')(related_name='lodgings', to=orm['expense.Expense'])),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('phone_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('tip_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
        ))
        db.send_create_signal('expense', ['Lodging'])

        # Adding model 'ClientEntertainment'
        db.create_table('expense_cliententertainment', (
            ('status', self.gf('jumbo.db.fields.StatusField')()),
            ('restaurant_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('client_company', self.gf('django.db.models.fields.CharField')(max_length=200, null=True, blank=True)),
            ('date_begin', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='expense_cliententertainment_last_modifier', null=True, to=orm['auth.User'])),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='expense_cliententertainment_creator', null=True, to=orm['auth.User'])),
            ('sport_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('date_end', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('time_begin', self.gf('django.db.models.fields.TimeField')(db_index=True, null=True, blank=True)),
            ('lodging_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('time_end', self.gf('django.db.models.fields.TimeField')(db_index=True, null=True, blank=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('air_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('location', self.gf('django.db.models.fields.CharField')(max_length=200, null=True, blank=True)),
            ('other_cost', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=9, decimal_places=2)),
            ('client_name', self.gf('django.db.models.fields.CharField')(max_length=200, null=True, blank=True)),
            ('expense', self.gf('django.db.models.fields.related.ForeignKey')(related_name='client_entertainments', to=orm['expense.Expense'])),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal('expense', ['ClientEntertainment'])
    
    
    def backwards(self, orm):
        
        # Deleting model 'Expense'
        db.delete_table('expense_expense')

        # Deleting model 'Transportation'
        db.delete_table('expense_transportation')

        # Deleting model 'AutoTravel'
        db.delete_table('expense_autotravel')

        # Deleting model 'Meal'
        db.delete_table('expense_meal')

        # Deleting model 'Lodging'
        db.delete_table('expense_lodging')

        # Deleting model 'ClientEntertainment'
        db.delete_table('expense_cliententertainment')
    
    
    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'expense.autotravel': {
            'Meta': {'object_name': 'AutoTravel'},
            'car': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'car_km': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'expense_autotravel_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'expense': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'autotravels'", 'to': "orm['expense.Expense']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'expense_autotravel_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'location': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'other_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'rate_per_km': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'rental_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'})
        },
        'expense.cliententertainment': {
            'Meta': {'object_name': 'ClientEntertainment'},
            'air_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'client_company': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'client_name': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'expense_cliententertainment_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'expense': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'client_entertainments'", 'to': "orm['expense.Expense']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'expense_cliententertainment_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'location': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'lodging_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'other_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'restaurant_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'sport_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'})
        },
        'expense.expense': {
            'Meta': {'object_name': 'Expense'},
            'assigned_to': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'expenses'", 'to': "orm['organization.Contact']"}),
            'authorized_by_administration': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True', 'blank': 'True'}),
            'authorized_by_manager': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True', 'blank': 'True'}),
            'change': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '9', 'decimal_places': '2', 'blank': 'True'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'expense_expense_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'currency': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'Expenses'", 'to': "orm['organization.Currency']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'expense_expense_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'number': ('django.db.models.fields.IntegerField', [], {'db_index': 'True'}),
            'purpose_trip': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'year': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        'expense.lodging': {
            'Meta': {'object_name': 'Lodging'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'expense_lodging_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'expense': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'lodgings'", 'to': "orm['expense.Expense']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'expense_lodging_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'laundry_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'location': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'lodging_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'other_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'phone_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'tip_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'})
        },
        'expense.meal': {
            'Meta': {'object_name': 'Meal'},
            'breakfast_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'expense_meal_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'dinner_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'expense': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'meals'", 'to': "orm['expense.Expense']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'expense_meal_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'location': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'lunch_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'other_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'})
        },
        'expense.transportation': {
            'Meta': {'object_name': 'Transportation'},
            'air_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'bus_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'expense_transportation_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'expense': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'transportations'", 'to': "orm['expense.Expense']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'expense_transportation_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'location': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'taxi_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'train_cost': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '9', 'decimal_places': '2'})
        },
        'organization.contact': {
            'Meta': {'object_name': 'Contact'},
            'code': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_contact_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_addressbook': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_contact_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'mobile': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'organization': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contacts'", 'null': 'True', 'to': "orm['organization.Organization']"}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'role': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['organization.ContactRole']"}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'user': ('django.db.models.fields.related.OneToOneField', [], {'blank': 'True', 'related_name': "'contact'", 'unique': 'True', 'null': 'True', 'to': "orm['auth.User']"})
        },
        'organization.contactrole': {
            'Meta': {'object_name': 'ContactRole'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_contactrole_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_contactrole_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'organization.currency': {
            'Meta': {'object_name': 'Currency'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_currency_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_currency_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'symbol': ('django.db.models.fields.CharField', [], {'max_length': '3'})
        },
        'organization.delivery': {
            'Meta': {'object_name': 'Delivery'},
            'carriage': ('django.db.models.fields.CharField', [], {'max_length': '3'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_delivery_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_delivery_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'transport_by': ('django.db.models.fields.CharField', [], {'max_length': '3'})
        },
        'organization.field': {
            'Meta': {'object_name': 'Field'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_field_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_field_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'organization.office': {
            'Meta': {'object_name': 'Office'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_office_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_office_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '50'}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'organization.organization': {
            'Meta': {'unique_together': "(('vat_number', 'ssn'),)", 'object_name': 'Organization'},
            'brand': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_organization_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'currency': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': "orm['organization.Currency']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'delivery': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': "orm['organization.Delivery']"}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'field': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['organization.Field']", 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_addressbook': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_organization_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'office': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['organization.Office']", 'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'organization_form': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['organization.OrganizationForm']"}),
            'organization_group': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'related_name': "'group'", 'null': 'True', 'db_index': 'True', 'to': "orm['organization.OrganizationGroup']"}),
            'organization_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['organization.OrganizationType']"}),
            'payment_form': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['payment.PaymentForm']", 'null': 'True', 'blank': 'True'}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'phone2': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'ssn': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'vat': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'organizations'", 'null': 'True', 'to': "orm['organization.Vat']"}),
            'vat_number': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '11', 'null': 'True', 'blank': 'True'})
        },
        'organization.organizationform': {
            'Meta': {'object_name': 'OrganizationForm'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_organizationform_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_organizationform_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'organization.organizationgroup': {
            'Meta': {'object_name': 'OrganizationGroup'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_organizationgroup_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_organizationgroup_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'organization.organizationtype': {
            'Meta': {'object_name': 'OrganizationType'},
            'category': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_organizationtype_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_organizationtype_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'organization.vat': {
            'Meta': {'object_name': 'Vat'},
            'aliquot_perc': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '4', 'decimal_places': '2'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_vat_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'deduct_perc': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '4', 'decimal_places': '2'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_vat_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'payment.paymentform': {
            'Meta': {'object_name': 'PaymentForm'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'payment_paymentform_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'discount': ('django.db.models.fields.DecimalField', [], {'default': '0.0', 'max_digits': '9', 'decimal_places': '2'}),
            'fee': ('django.db.models.fields.DecimalField', [], {'default': '0.0', 'max_digits': '9', 'decimal_places': '2'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'payment_paymentform_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        }
    }
    
    complete_apps = ['expense']
